<?php
/**
 * DiscountTypeEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\MarketingClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi. Marketing.
 *
 * Маркетинг
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\MarketingClient\Dto;
use \Ensi\MarketingClient\ObjectSerializer;

/**
 * DiscountTypeEnum Class Doc Comment
 *
 * @category Class
 * @description Доступные типы скидок:   * &#x60;1&#x60; - скидка на оффер
 * @package  Ensi\MarketingClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class DiscountTypeEnum
{
    
    /** Скидка на оффер */
    public const OFFER = 1;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::OFFER,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::OFFER => 'Скидка на оффер',
        ];
    }
}


